<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">ParticleSystemRenderer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::ParticleSystemRenderer Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a76d2732e63a02c925cca738e1d55b7e9">_createVisualData</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#addc7a41c0c6aba115a7ca23219001690">_destroyVisualData</a>(ParticleVisualData *vis)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a2b90d2d5d6b6a46e59e409c54d7dc198">_getSortMode</a>(void) const =0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#aa77068e24ca3ff941e5608f841eee433">_notifyAttached</a>(Node *parent, bool isTagPoint=false)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a36ec310fb97f85ed7ca1d5176024bfcc">_notifyCurrentCamera</a>(Camera *cam)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a2e0b651fd9d845b9bc70e9aaf64e5915">_notifyDefaultDimensions</a>(Real width, Real height)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#aa76e67b53dd09f60313e9ebfb59ed5c0">_notifyParticleCleared</a>(list&lt; Particle * &gt;::type &amp;currentParticles)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#aec55835fcde21e77487cfbb20f439944">_notifyParticleEmitted</a>(Particle *particle)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a64ca1a8e9f77c857d2ffdab29fbdd598">_notifyParticleExpired</a>(Particle *particle)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a7fd98dec902f124c7c51c1cbe7356364">_notifyParticleMoved</a>(list&lt; Particle * &gt;::type &amp;currentParticles)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a018bd2ae834c1aba8b9fa79116e67c44">_notifyParticleQuota</a>(size_t quota)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a7d780e51ef230c6e00e53ca6b0f0f3f6">_notifyParticleResized</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a135d07c57490da7dccb849e0058c2b24">_notifyParticleRotated</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#acef7b4bfb05626da291588d55f768cc9">_setMaterial</a>(MaterialPtr &amp;mat)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a1fc2eaa453f8e592b14a6a461c09c5f9">_updateRenderQueue</a>(RenderQueue *queue, list&lt; Particle * &gt;::type &amp;currentParticles, bool cullIndividually)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a82a2512365fd27ffcd1b597751491547">getType</a>(void) const =0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a18d83b417a606c9d40f87fffe003ef2a">ParticleSystemRenderer</a>()</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a9d51542da9e252f542e9ba7d89f575c1">setKeepParticlesInLocalSpace</a>(bool keepLocal)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ae356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#ac586ecbee5141ce024ff371de137a952">setRenderQueueGroup</a>(uint8 queueID)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ad57e8c6f0793dde7d1b479361e55e419">StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#afe69c31bb92ee5c1e97bcb5ced09f862">visitRenderables</a>(Renderable::Visitor *visitor, bool debugRenderables=false)=0</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#acedd9af6338bc40603a571333be5f5f9">~ParticleSystemRenderer</a>()</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#aa86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:01
</p>
</body>
</html>
